Change log for libfile-desktopentry-perl package in Ubuntu

112 of 12 results
Published in hirsute-release on 2020-10-23
Published in groovy-release on 2020-05-23
Deleted in groovy-proposed (Reason: moved to Release)
libfile-desktopentry-perl (0.22-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.
  * Add patch to use x-terminal-emulator instead of hardcoded xterm.
    Thanks to Patrick Zanon for the bug report. (Closes: #952548)
  * Add a Recommends on the virtual x-terminal-emulator package.
    Cf. #952548.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <email address hidden>  Fri, 22 May 2020 18:36:38 +0200

Available diffs

Superseded in groovy-release on 2020-05-23
Published in focal-release on 2019-10-18
Obsolete in eoan-release on 2020-12-29
Obsolete in disco-release on 2020-07-14
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2017-10-24
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-12-12
Deleted in xenial-proposed (Reason: moved to release)
libfile-desktopentry-perl (0.22-1) unstable; urgency=medium

  * Import upstream version 0.22.

 -- gregor herrmann <email address hidden>  Fri, 11 Dec 2015 18:39:10 +0100

Available diffs

Superseded in xenial-release on 2015-12-12
Deleted in xenial-proposed on 2015-12-13 (Reason: moved to release)
libfile-desktopentry-perl (0.21-1) unstable; urgency=medium

  * Import upstream version 0.21.

 -- gregor herrmann <email address hidden>  Wed, 02 Dec 2015 20:52:21 +0100

Available diffs

Superseded in xenial-release on 2015-12-03
Deleted in xenial-proposed on 2015-12-04 (Reason: moved to release)
libfile-desktopentry-perl (0.20-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.20
  * Bump debhelper compatibility level to 9
  * Add URI::Escape as new dependency

 -- Lucas Kanashiro <email address hidden>  Tue, 24 Nov 2015 16:05:51 -0200

Available diffs

Superseded in xenial-release on 2015-11-25
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
libfile-desktopentry-perl (0.12-1) unstable; urgency=medium

  * Import upstream version 0.12.
  * Drop module-build-in-tests.patch, merged upstream.

 -- gregor herrmann <email address hidden>  Sun, 21 Jun 2015 02:27:53 +0200

Available diffs

Superseded in wily-release on 2015-06-21
Deleted in wily-proposed on 2015-06-22 (Reason: moved to release)
libfile-desktopentry-perl (0.11-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * Imported Upstream version 0.08

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata.
  * Import upstream version 0.11.
  * Update Upstream-Contact in debian/copyright.
  * Update years of packaging copyright.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.6.
  * Add patch to remove spurious "Module::Build" from a test file.
    (Closes: #789210)

 -- gregor herrmann <email address hidden>  Fri, 19 Jun 2015 01:02:35 +0200

Available diffs

Superseded in wily-release on 2015-06-19
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-21
Deleted in trusty-proposed (Reason: moved to release)
libfile-desktopentry-perl (0.07-1) unstable; urgency=low


  * New upstream release.
  * Drop POD patch, merged upstream.
  * Update build dependencies.
  * debian/rules: drop --buildsystem parameter from dh(1) call. Upstream
    switched to pure EUMM.

 -- gregor herrmann <email address hidden>  Mon, 07 Oct 2013 20:54:50 +0200

Available diffs

Superseded in trusty-release on 2013-10-21
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-17
libfile-desktopentry-perl (0.04-3) unstable; urgency=low

  * Team upload.

  [ gregor herrmann ]
  * Remove Florian Ragwitz from Uploaders (closes: #523252).

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.
  * Use source format 3.0 (quilt).
  * Use tiny debian/rules with debhelper 8.
  * Convert debian/copyright to proposed machine-readable format.
  * debian/control: Mention module name in description; remove URL to
    specification.
    + Also remove lintian override for extended-description-line-too-long
  * Bump Standards-Version to 3.9.2.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 11:05:17 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
libfile-desktopentry-perl (0.04-2) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Gunnar Wolf ]
  * Added quilt to build-dependencies
  * Escaped missing metacharacters from the POD (Closes: #475485)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  29 Apr 2009 12:00:45 +0100

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
Superseded in intrepid-release on 2008-08-01
libfile-desktopentry-perl (0.04-1) unstable; urgency=low

  [ gregor herrmann ]
  * Take over for the Debian Perl Group with maintainer's permission
    (http://lists.debian.org/debian-perl/2008/06/msg00039.html)
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Changed:
    Maintainer set to Debian Perl Group <pkg-perl-
    <email address hidden>> (was: Florian Ragwitz
    <email address hidden>); Florian Ragwitz <email address hidden> moved to
    Uploaders.
  * debian/watch: use dist-based URL.

  [ Gunnar Wolf ]
  * Fixed obsolete URL in short description (Closes: #475484)
  * Updated standards-version to 3.8.0 (no changes neeeded)
  * Added myself as an uploader
  * Added Lintian override, as the URL in the long description is over 80
    characters long

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  02 Jul 2008 12:18:16 +0100

Available diffs

Superseded in intrepid-release on 2008-07-02
Obsolete in hardy-release on 2015-04-24
libfile-desktopentry-perl (0.04-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version. Closes: #453236
  * Switched debian/compat to 5 and adjusted debhelper build-dependency.
  * Added a debian/watch file.
  * Added libtest-pod-perl and libtest-pod-coverage-perl to
    Build-Depends-Indep to enable all tests.
  * Add libfile-basedir-perl (>= 0.03) to Depends and Build-Depends-Indep
    fields (needed for runtime and tests).
  * Add libmodule-build-perl to Build-Depends as it's the new build system.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  03 Dec 2007 09:54:07 +0000
Superseded in hardy-release on 2007-12-03
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
libfile-desktopentry-perl (0.02-1) unstable; urgency=low


  * Initial Release.

 -- Florian Ragwitz <email address hidden>  Wed, 30 Nov 2005 16:16:46 +0100
112 of 12 results